<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DbThreadID Constructor
DbThreadID Class See Also Send Feedback

Instantiate a new DbThreadID object

Namespace: BerkeleyDB
Assembly: libdb_dotnet50 (in libdb_dotnet50.dll) Version: 5.0.21.0

# Syntax

C#

    public DbThreadID(
    	int pid,
    	uint tid
    )

Visual Basic (Declaration)

    Public Sub New ( _
    	pid As Integer, _
    	tid As UInteger _
    )

Visual C++

    public:
    DbThreadID(
    	int pid,
    	unsigned int tid
    )

#### Parameters

pid
  Type: System..::.Int32
  The Process ID of the thread of control

tid
  Type: System..::.UInt32
  The Thread ID of the thread of control

# See Also

DbThreadID Class
BerkeleyDB Namespace